SELECT  name,
        kidAmbSum/kidVisits AS kidAmbPrice,
        ambSum/visits AS ambPrice,
        kidHospSum/kidBedDays AS kidHospPrice,
        hospSum/bedDays AS hospPrice,
        kidHrSum/kidDays AS kidHrPrice,
        hrSum/days AS hrPrice,
        kidVisits, visits,
        kidBedDays, bedDays,
        kidDays, days,
        kidAmbSum, AmbSum,
        kidHospSum, hospSum,
        kidHrSum, hrSum,
        totalSum as sum
FROM
(SELECT OrgStructure.name,
       SUM(IF(clientAge<18,S1.ambSum,0)) AS kidAmbSum,
       SUM(IF(clientAge<18,0,S1.ambSum)) AS AmbSum,
       SUM(IF(clientAge<18,S1.hospSum,0)) AS kidHospSum,
       SUM(IF(clientAge<18,0,S1.hospSum)) AS hospSum,
       SUM(IF(clientAge<18,S1.hrSum,0)) AS kidHrSum,
       SUM(IF(clientAge<18,0,S1.hrSum)) AS hrSum,
       SUM(IF(clientAge<18,S1.visits,0)) AS kidVisits,
       SUM(IF(clientAge<18,0,S1.visits)) AS visits,
       SUM(IF(clientAge<18,S1.bedDays,0)) AS kidBedDays,
       SUM(IF(clientAge<18,0,S1.bedDays)) AS bedDays,
       SUM(IF(clientAge<18,S1.days,0)) AS kidDays,
       SUM(IF(clientAge<18,0,S1.days)) AS days,
       SUM(S1.totalSum) AS totalSum
FROM
(SELECT          age(`Client`.birthDate,Event.execDate) AS clientAge,
                rbEventProfile.code AS eventProfileCode,
                IF(rbEventProfile.code='02' OR rbEventProfile.code IS NULL,Account_Item.`sum`,0) AS ambSum,-- ambulatory
                IF(rbEventProfile.code='01',Account_Item.`sum`,0) AS hospSum,-- hospital
                IF(rbEventProfile.code='03',Account_Item.`sum`,0) AS hrSum,-- hostpital-replacement
                IF(rbEventProfile.code='02' OR rbEventProfile.code IS NULL,Account_Item.amount,0) AS visits,-- ambulatory
                IF(rbEventProfile.code='01',Account_Item.amount,0) AS bedDays,-- hospital
                IF(rbEventProfile.code='03',Account_Item.amount,0) AS days,-- hostpital-replacement
                Account_Item.`sum` AS totalSum,
                IF(Account_Item.visit_id IS NOT NULL, Visit.person_id,
                  IF(Account_Item.action_id IS NOT NULL,
                  IF(`Action`.person_id IS NOT NULL, `Action`.person_id,
                  `Action`.setPerson_id), Event.execPerson_id)
                ) AS person_id
            FROM Account_Item
            LEFT JOIN Account ON Account_Item.master_id = Account.id
            LEFT JOIN `Action` ON Action.id = Account_Item.action_id
            LEFT JOIN Visit  ON Visit.id  = Account_Item.visit_id
            LEFT JOIN Event  ON Event.id  = Account_Item.event_id
            LEFT JOIN `Client` ON Client.id = Event.client_id
            LEFT JOIN EventType ON EventType.id = Event.eventType_id
            LEFT JOIN rbEventProfile ON EventType.eventProfile_id = rbEventProfile.id
            LEFT JOIN rbPayRefuseType ON rbPayRefuseType.id = Account_Item.refuseType_id
            WHERE
                Account_Item.reexposeItem_id IS NULL
            AND (Account_Item.date IS NULL
                 OR (Account_Item.date IS NOT NULL AND rbPayRefuseType.rerun != 0)
                )
            AND Account.id = :account_id) AS S1
LEFT JOIN Person ON Person.id =S1.person_id
LEFT JOIN OrgStructure ON OrgStructure.id = Person.orgStructure_id
GROUP BY name) AS S2