SELECT 
    Account_Item.id,
    Client.lastName, Client.firstName,  Client.patrName, 
    IF(Client.sex = 1, '', '') as sex,
    Client.birthDate,
    formatClientAddress(ClientAddress.id) AS address,
    ClientPolicy.serial, ClientPolicy.number, Insurer.shortName,
    Organisation.OKVED,
    CONCAT(mid(Client.SNILS,1,3),'-',
           mid(Client.SNILS,4,3),'-',
           mid(Client.SNILS,7,3),' ',
          mid(Client.SNILS,10,2)) as SNILS,
    Diagnosis.MKB,
    DATE(D01.endDate) AS D01Date,
    DATE(D02.endDate) AS D02Date,
    DATE(D03.endDate) AS D03Date,
    DATE(D04.endDate) AS D04Date,
    DATE(D05.endDate) AS D05Date,
    DATE(D06.endDate) AS D06Date,
    DATE(D07.endDate) AS D07Date,

    if(IsNull(D01.endDate),' ',Format(Account_Item.sum/6,2)) AS S01Date,
    if(IsNull(D02.endDate),' ',Format(Account_Item.sum/6,2)) AS S02Date,
    if(IsNull(D03.endDate),' ',Format(Account_Item.sum/6,2)) AS S03Date,
    if(IsNull(D04.endDate),' ',Format(Account_Item.sum/6,2)) AS S04Date,
    if(IsNull(D05.endDate),' ',Format(Account_Item.sum/6,2)) AS S05Date,
    if(IsNull(D06.endDate),' ',Format(Account_Item.sum/6,2)) AS S06Date,
    if(IsNull(D07.endDate),' ',Format(Account_Item.sum/6,2)) AS S07Date,

    DATE(A01.endDate) AS A01Date,
    DATE(A02.endDate) AS A02Date,
    DATE(A03.endDate) AS A03Date,
    DATE(A04.endDate) AS A04Date,
    DATE(A05.endDate) AS A05Date,
    DATE(A06.endDate) AS A06Date,
    DATE(A07.endDate) AS A07Date,
    DATE(A08.endDate) AS A08Date,
    DATE(A09.endDate) AS A09Date,
    Account_Item.sum AS sum

From Account_Item

    LEFT JOIN Event         ON Event.id  = Account_Item.event_id
    LEFT JOIN Client        ON Client.id = Event.client_id
    LEFT JOIN ClientAddress ON     ClientAddress.client_id = Client.id 
                               AND ClientAddress.id = (SELECT MAX(id) FROM ClientAddress AS CA WHERE CA.Type=0 and CA.client_id = Client.id)
    LEFT JOIN ClientPolicy  ON (    ClientPolicy.client_id = Client.id 
                                AND ClientPolicy.id = (SELECT MAX(id) FROM ClientPolicy AS CP WHERE CP.client_id = Client.id)
                               )
    LEFT JOIN Organisation AS Insurer ON Insurer.id = ClientPolicy.insurer_id 
    LEFT JOIN ClientWork    ON (    ClientWork.client_id = Client.id 
                                AND ClientWork.id = (SELECT MAX(id) FROM ClientWork AS CW WHERE CW.client_id = Client.id)
                               )
    LEFT JOIN Organisation  ON Organisation.id = ClientWork.org_id
    LEFT JOIN Diagnostic    ON (     Diagnostic.event_id = Event.id 
                                 AND Diagnostic.diagnosisType_id = (SELECT id FROM rbDiagnosisType WHERE code = '1')
                               )
    LEFT JOIN Diagnosis     ON Diagnosis.id = Diagnostic.diagnosis_id 
    LEFT JOIN Diagnostic AS D01 ON (     D01.event_id = Event.id 
                                     AND D01.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D01Speciality)
                                     AND D01.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D02 ON (     D02.event_id = Event.id 
                                     AND D02.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D02Speciality)
                                     AND D02.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D03 ON (     D03.event_id = Event.id 
                                     AND D03.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D03Speciality)
                                     AND D03.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D04 ON (     D04.event_id = Event.id 
                                     AND D04.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D04Speciality)
                                     AND D04.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D05 ON (     D05.event_id = Event.id 
                                     AND D05.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D05Speciality)
                                     AND D05.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D06 ON (     D06.event_id = Event.id 
                                     AND D06.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D06Speciality)
                                     AND D06.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D07 ON (     D07.event_id = Event.id 
                                     AND D07.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D07Speciality)
                                     AND D07.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Action     AS A01 ON ( A01.event_id = Event.id AND A01.actionType_id = :A01ActionType)
    LEFT JOIN Action     AS A02 ON ( A02.event_id = Event.id AND A02.actionType_id = :A02ActionType)
    LEFT JOIN Action     AS A03 ON ( A03.event_id = Event.id AND A03.actionType_id = :A03ActionType)
    LEFT JOIN Action     AS A04 ON ( A04.event_id = Event.id AND A04.actionType_id = :A04ActionType)
    LEFT JOIN Action     AS A05 ON ( A05.event_id = Event.id AND A05.actionType_id = :A05ActionType)
    LEFT JOIN Action     AS A06 ON ( A06.event_id = Event.id AND A06.actionType_id = :A06ActionType)
    LEFT JOIN Action     AS A07 ON ( A07.event_id = Event.id AND A07.actionType_id = :A07ActionType)
    LEFT JOIN Action     AS A08 ON ( A08.event_id = Event.id AND A08.actionType_id = :A08ActionType)
    LEFT JOIN Action     AS A09 ON ( A09.event_id = Event.id AND A09.actionType_id = :A09ActionType)

WHERE
        Account_Item.master_id=:account_id
    AND Account_Item.visit_id IS NULL
    AND Account_Item.action_id IS NULL
GROUP by Account_Item.id
Order by Client.lastName, Client.firstName,  Client.patrName 
;

