SELECT 
    Account_Item.id,
    Client.lastName, Client.firstName,  Client.patrName, 
    IF(Client.sex = 1, '', '') as sex,
    Client.birthDate,
    IF( ClientAddress.address_id IS NULL, 
        ClientAddress.FreeInput,
        CONCAT( kladr.KLADR.SOCR, '.', kladr.KLADR.NAME, ' ',
                kladr.STREET.SOCR, ' ', kladr.STREET.NAME,
                IF(AddressHouse.number = '', '', CONCAT(' .',AddressHouse.number)),
                IF(AddressHouse.corpus = '', '', CONCAT(' .',AddressHouse.corpus)),
                IF(Address.flat        = '', '', CONCAT(' .',Address.flat))
              )
      ) AS address,
    ClientPolicy.serial, ClientPolicy.number, Insurer.shortName,
    Organisation.OKVED,
    CONCAT(mid(Client.SNILS,1,3),'-',
           mid(Client.SNILS,4,3),'-',
           mid(Client.SNILS,7,3),' ',
          mid(Client.SNILS,10,2)) as SNILS ,
    wHUR.stage, vHUR.code, 
    Event.execDate as aDate,
    Event.prevEventDate as pDate,
    Diagnosis.MKB,
    rbHealthGroup.code as Z_GRP,
    (SELECT GROUP_CONCAT(DISTINCT vFHUR.code ORDER BY vFHUR.code SEPARATOR ' ') FROM
            ClientWork_Hurt_Factor AS  fHUR
        LEFT JOIN rbHurtFactorType as vFHUR ON  vFHUR.id = fHUR.factorType_id
        WHERE fHUR.master_id = wHUR.id GROUP BY fHUR.master_id) AS hurts,  

    (SELECT GROUP_CONCAT(DISTINCT rbPost.Regionalcode 
                         ORDER BY rbPost.RegionalCode SEPARATOR ', ')  FROM
            Diagnostic AS D01
        LEFT JOIN Person ON Person.id = D01.person_id 
        LEFT JOIN rbPost ON rbPost.id = Person.post_id 
            WHERE D01.Event_id = Event.id  
                  AND D01.diagnosisType_id IN 
                      (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
    ) AS vPost,


    Account_Item.sum AS sum

From Account_Item

    LEFT JOIN Event         ON Event.id  = Account_Item.event_id
    LEFT JOIN Client        ON Client.id = Event.client_id
    LEFT JOIN ClientAddress ON     ClientAddress.client_id = Client.id 
                               AND ClientAddress.id = (SELECT MAX(id) FROM ClientAddress AS CA WHERE CA.client_id = Client.id)
    LEFT JOIN Address       ON Address.id = ClientAddress.address_id
    LEFT JOIN AddressHouse  ON AddressHouse.id = Address.House_id
    LEFT JOIN kladr.KLADR   ON kladr.KLADR.CODE = AddressHouse.KLADRCode
    LEFT JOIN kladr.STREET  ON kladr.STREET.CODE = AddressHouse.KLADRStreetCode
    LEFT JOIN ClientPolicy  ON (    ClientPolicy.client_id = Client.id 
                                AND ClientPolicy.id = (SELECT MAX(id) FROM ClientPolicy AS CP WHERE CP.client_id = Client.id)
                               )
    LEFT JOIN Organisation AS Insurer ON Insurer.id = ClientPolicy.insurer_id 
    LEFT JOIN ClientWork    ON (    ClientWork.client_id = Client.id 
                                AND ClientWork.id = (SELECT MAX(id) FROM ClientWork AS CW WHERE CW.client_id = Client.id)
                               )
    LEFT JOIN ClientWork_Hurt as wHUR ON ( wHUR.master_id = ClientWork.id 
                                           AND wHUR.id = (SELECT MAX(id) FROM ClientWork_Hurt AS HR WHERE HR.master_id = ClientWork.id)
                               )
    LEFT JOIN rbHurtType as vHUR ON  vHUR.id = wHUR.hurtType_id

    LEFT JOIN Organisation  ON Organisation.id = ClientWork.org_id

    LEFT JOIN Diagnostic    ON (     Diagnostic.event_id = Event.id 
                                 AND Diagnostic.diagnosisType_id = (SELECT id FROM rbDiagnosisType WHERE code = '1')
                               )
    LEFT JOIN rbHealthGroup ON (     rbHealthGroup.id = Diagnostic.healthGroup_id
                                 AND Diagnostic.event_id = Event.id 
                                 AND Diagnostic.diagnosisType_id = (SELECT id FROM rbDiagnosisType WHERE code = '1')
                               )
    LEFT JOIN Diagnosis     ON Diagnosis.id = Diagnostic.diagnosis_id 


    
WHERE
        Account_Item.master_id=:account_id
    AND Account_Item.visit_id IS NULL
    AND Account_Item.action_id IS NULL
Order by Client.lastName, Client.firstName,  Client.patrName 
;




