SELECT 
    Account_Item.id,
    Client.lastName, Client.firstName,  Client.patrName, 
    IF(Client.sex = 1, '', '') as sex,
    Client.birthDate,
    formatClientAddress(ClientAddress.id) AS address,
    ClientPolicy.serial, ClientPolicy.number, Insurer.shortName,
    Organisation.OKVED,
    CONCAT(mid(Client.SNILS,1,3),'-',
           mid(Client.SNILS,4,3),'-',
           mid(Client.SNILS,7,3),' ',
          mid(Client.SNILS,10,2)) as SNILS,
    Diagnosis.MKB,
    DATE(D01.endDate) AS D01Date,
    DATE(D02.endDate) AS D02Date,
    DATE(D03.endDate) AS D03Date,
    DATE(D04.endDate) AS D04Date,
    DATE(D05.endDate) AS D05Date,
    DATE(D06.endDate) AS D06Date,
    DATE(D07.endDate) AS D07Date,
    DATE(D08.endDate) AS D08Date,
    DATE(D09.endDate) AS D09Date,
    DATE(D010.endDate) AS D010Date,
    DATE(D011.endDate) AS D011Date,

    DATE(A01.endDate) AS A01Date,
    DATE(A02.endDate) AS A02Date,
    DATE(A03.endDate) AS A03Date,
    DATE(A04.endDate) AS A04Date,
    DATE(A05.endDate) AS A05Date,
    DATE(A06.endDate) AS A06Date,

    Account_Item.sum AS sum

From Account_Item

    LEFT JOIN Event         ON Event.id  = Account_Item.event_id
    LEFT JOIN Client        ON Client.id = Event.client_id
    LEFT JOIN ClientAddress ON     ClientAddress.client_id = Client.id 
                               AND ClientAddress.id = (SELECT MAX(id) FROM ClientAddress AS CA WHERE CA.client_id = Client.id)
    LEFT JOIN Address       ON Address.id = ClientAddress.address_id
    LEFT JOIN AddressHouse  ON AddressHouse.id = Address.house_id
    LEFT JOIN kladr.KLADR   ON kladr.KLADR.CODE = AddressHouse.KLADRCode
    LEFT JOIN kladr.STREET  ON kladr.STREET.CODE = AddressHouse.KLADRStreetCode
    LEFT JOIN ClientPolicy  ON (    ClientPolicy.client_id = Client.id 
                                AND ClientPolicy.id = (SELECT MAX(id) FROM ClientPolicy AS CP WHERE CP.client_id = Client.id)
                               )
    LEFT JOIN Organisation AS Insurer ON Insurer.id = ClientPolicy.insurer_id 
    LEFT JOIN ClientWork    ON (    ClientWork.client_id = Client.id 
                                AND ClientWork.id = (SELECT MAX(id) FROM ClientWork AS CW WHERE CW.client_id = Client.id)
                               )
    LEFT JOIN Organisation  ON Organisation.id = ClientWork.org_id
    LEFT JOIN Diagnostic    ON (     Diagnostic.event_id = Event.id 
                                 AND Diagnostic.deleted=0
                                 AND Diagnostic.diagnosisType_id = (SELECT id FROM rbDiagnosisType WHERE code = '1')
                               )
    LEFT JOIN Diagnosis     ON Diagnosis.id = Diagnostic.diagnosis_id 
    LEFT JOIN Diagnostic AS D01 ON (     D01.event_id = Event.id 
                                     AND D01.deleted=0
                                     AND D01.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D01Speciality)
                                     AND D01.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D02 ON (     D02.event_id = Event.id 
                                     AND D02.deleted=0
                                     AND D02.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D02Speciality)
                                     AND D02.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D03 ON (     D03.event_id = Event.id 
                                     AND D03.deleted=0
                                     AND D03.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D03Speciality)
                                     AND D03.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D04 ON (     D04.event_id = Event.id 
                                     AND D04.deleted=0
                                     AND D04.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D04Speciality)
                                     AND D04.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D05 ON (     D05.event_id = Event.id 
                                     AND D05.deleted=0
                                     AND D05.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D05Speciality)
                                     AND D05.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D06 ON (     D06.event_id = Event.id 
                                     AND D06.deleted=0
                                     AND D06.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D06Speciality)
                                     AND D06.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D07 ON (     D07.event_id = Event.id 
                                     AND D07.deleted=0
                                     AND D07.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D07Speciality)
                                     AND D07.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D08 ON (     D08.event_id = Event.id 
                                     AND D08.deleted=0
                                     AND D08.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D08Speciality)
                                     AND D08.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D09 ON (     D09.event_id = Event.id 
                                     AND D09.deleted=0
                                     AND D09.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D09Speciality)
                                     AND D09.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D010 ON (     D010.event_id = Event.id 
                                     AND D010.deleted=0
                                     AND D010.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D010Speciality)
                                     AND D010.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D011 ON (     D011.event_id = Event.id 
                                     AND D011.deleted=0
                                     AND D011.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D011Speciality)
                                     AND D011.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Action     AS A01 ON ( A01.deleted=0 and A01.event_id = Event.id AND A01.actionType_id = :A01ActionType)
    LEFT JOIN Action     AS A02 ON ( A02.deleted=0 and A02.event_id = Event.id AND A02.actionType_id = :A02ActionType)
    LEFT JOIN Action     AS A03 ON ( A03.deleted=0 and A03.event_id = Event.id AND A03.actionType_id = :A03ActionType)
    LEFT JOIN Action     AS A04 ON ( A04.deleted=0 and A04.event_id = Event.id AND A04.actionType_id = :A04ActionType)
    LEFT JOIN Action     AS A05 ON ( A05.deleted=0 and A05.event_id = Event.id AND A05.actionType_id = :A05ActionType)
    LEFT JOIN Action     AS A06 ON ( A06.deleted=0 and A06.event_id = Event.id AND A06.actionType_id = :A06ActionType)

WHERE
        Account_Item.master_id=:account_id
    AND Account_Item.visit_id IS NULL
    AND Account_Item.action_id IS NULL
GROUP by Account_Item.id
Order by Account_Item.sum, Client.lastName, Client.firstName,  Client.patrName 
;
