SELECT 
    Account_Item.id,
    Client.lastName, Client.firstName,  Client.patrName, 
    IF(Client.sex = 1, '', '') as sex,
    Client.birthDate,
    formatClientAddress(ClientAddress.id) AS address,
    ClientPolicy.serial, ClientPolicy.number, Insurer.shortName, Insurer.OGRN, 
    Organisation.OKVED,
    CONCAT(mid(Client.SNILS,1,3),'-',
           mid(Client.SNILS,4,3),'-',
           mid(Client.SNILS,7,3),' ',
          mid(Client.SNILS,10,2)) as SNILS,
    Diagnosis.MKB,
    DATE(D01.endDate) AS D01Date,
    DATE(D02.endDate) AS D02Date,
    DATE(D03.endDate) AS D03Date,
    DATE(D05.endDate) AS D05Date,
    DATE(D07.endDate) AS D07Date,


    DATE(A01.endDate) AS A01Date,
    DATE(A02.endDate) AS A02Date,
    DATE(A03.endDate) AS A03Date,
    DATE(A04.endDate) AS A04Date,
    DATE(A05.endDate) AS A05Date,
    DATE(A06.endDate) AS A06Date,
    DATE(A07.endDate) AS A07Date,
    DATE(A08.endDate) AS A08Date,
    DATE(A09.endDate) AS A09Date,
    DATE(A10.endDate) AS A10Date,
    DATE(A11.endDate) AS A11Date,
    DATE(A12.endDate) AS A12Date,
    DATE(A13.endDate) AS A13Date,
    DATE(A35.endDate) AS A35Date,
    DATE(A30.endDate) AS A30Date,
    DATE(A31.endDate) AS A31Date,
    DATE(A33.endDate) AS A33Date,
    DATE(A32.endDate) AS A32Date,
    DATE(A34.endDate) AS A34Date,
    Account_Item.sum AS sum

From Account_Item

    LEFT JOIN Event         ON Event.id  = Account_Item.event_id
    LEFT JOIN Client        ON Client.id = Event.client_id
    LEFT JOIN ClientAddress ON     ClientAddress.client_id = Client.id 
                               AND ClientAddress.id = (SELECT MAX(id) FROM ClientAddress AS CA WHERE CA.Type=0 and CA.client_id = Client.id)
    LEFT JOIN ClientPolicy  ON (    ClientPolicy.client_id = Client.id 
                                AND ClientPolicy.id = (SELECT MAX(id) FROM ClientPolicy AS CP WHERE CP.client_id = Client.id)
                               )
    LEFT JOIN Organisation AS Insurer ON Insurer.id = ClientPolicy.insurer_id 
    LEFT JOIN ClientWork    ON (    ClientWork.client_id = Client.id 
                                AND ClientWork.id = (SELECT MAX(id) FROM ClientWork AS CW WHERE CW.client_id = Client.id)
                               )
    LEFT JOIN Organisation  ON Organisation.id = ClientWork.org_id
    LEFT JOIN Diagnostic    ON (     Diagnostic.event_id = Event.id 
                                 AND Diagnostic.deleted=0
                                 AND Diagnostic.diagnosisType_id = (SELECT id FROM rbDiagnosisType WHERE code = '1')
                               )
    LEFT JOIN Diagnosis     ON Diagnosis.id = Diagnostic.diagnosis_id 
    LEFT JOIN Diagnostic AS D01 ON (     D01.event_id = Event.id 
                                     AND D01.deleted=0
                                     AND D01.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D01Speciality OR Person.speciality_id = :D00Speciality)
                                     AND D01.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2')) 
                                   )
    LEFT JOIN Diagnostic AS D02 ON (     D02.event_id = Event.id 
                                     AND D02.deleted=0
                                     AND D02.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D02Speciality)
                                     AND D02.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D03 ON (     D03.event_id = Event.id 
                                     AND D03.deleted=0
                                     AND D03.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D03Speciality)
                                     AND D03.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D05 ON (     D05.event_id = Event.id 
                                     AND D05.deleted=0
                                     AND D05.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D05Speciality)
                                     AND D05.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Diagnostic AS D07 ON (     D07.event_id = Event.id 
                                     AND D07.deleted=0
                                     AND D07.person_id IN (SELECT id FROM Person WHERE Person.speciality_id = :D07Speciality)
                                     AND D07.diagnosisType_id IN (SELECT id FROM rbDiagnosisType WHERE code IN ('1','2'))
                                   )
    LEFT JOIN Action     AS A01 ON ( A01.deleted=0 and A01.event_id = Event.id AND A01.actionType_id = :A01ActionType)
    LEFT JOIN Action     AS A02 ON ( A02.deleted=0 and A02.event_id = Event.id AND A02.actionType_id = :A02ActionType)
    LEFT JOIN Action     AS A03 ON ( A03.deleted=0 and A03.event_id = Event.id AND A03.actionType_id = :A03ActionType)
    LEFT JOIN Action     AS A04 ON ( A04.deleted=0 and A04.event_id = Event.id AND A04.actionType_id = :A04ActionType)
    LEFT JOIN Action     AS A05 ON ( A05.deleted=0 and A05.event_id = Event.id AND A05.actionType_id = :A05ActionType)
    LEFT JOIN Action     AS A06 ON ( A06.deleted=0 and A06.event_id = Event.id AND A06.actionType_id = :A06ActionType)
    LEFT JOIN Action     AS A07 ON ( A07.deleted=0 and A07.event_id = Event.id AND A07.actionType_id = :A07ActionType)
    LEFT JOIN Action     AS A08 ON ( A08.deleted=0 and A08.event_id = Event.id AND A08.actionType_id = :A08ActionType)
    LEFT JOIN Action     AS A09 ON ( A09.deleted=0 and A09.event_id = Event.id AND A09.actionType_id = :A09ActionType)
    LEFT JOIN Action     AS A10 ON ( A10.deleted=0 and A10.event_id = Event.id AND A10.actionType_id = :A10ActionType)
    LEFT JOIN Action     AS A11 ON ( A11.deleted=0 and A11.event_id = Event.id AND A11.actionType_id = :A11ActionType)
    LEFT JOIN Action     AS A12 ON ( A12.deleted=0 and A12.event_id = Event.id AND A12.actionType_id = :A12ActionType)
    LEFT JOIN Action     AS A13 ON ( A13.deleted=0 and A13.event_id = Event.id AND A13.actionType_id = :A13ActionType)
    LEFT JOIN Action     AS A35 ON ( A35.deleted=0 and A35.event_id = Event.id AND A35.actionType_id = :A35ActionType)
    LEFT JOIN Action     AS A30 ON ( A30.deleted=0 and A30.event_id = Event.id AND A30.actionType_id = :A30ActionType)
    LEFT JOIN Action     AS A31 ON ( A31.deleted=0 and A31.event_id = Event.id AND A31.actionType_id = :A31ActionType)
    LEFT JOIN Action     AS A33 ON ( A33.deleted=0 and A33.event_id = Event.id AND A33.actionType_id = :A33ActionType)
    LEFT JOIN Action     AS A32 ON ( A32.deleted=0 and A32.event_id = Event.id AND A32.actionType_id = :A32ActionType)
    LEFT JOIN Action     AS A34 ON ( A34.deleted=0 and A34.event_id = Event.id AND A34.actionType_id = :A34ActionType)

WHERE
        Account_Item.master_id=:account_id
    AND Account_Item.visit_id IS NULL
    AND Account_Item.action_id IS NULL
Order by Client.lastName, Client.firstName,  Client.patrName 
;

