SELECT 
    Account.number, Account.date,Account.exposeDate,Account.settleDate,
    Contract.number,Contract.date,Contract.recipientKBK as lKBK,
LPU.fullName as lName, LPU.shortName as lShortName, LPU.inn as lINN,LPU.kpp as lKPP,LPU.ogrn as lOGRN,LPU.OKPO as lOKPO,
LOKPF.name as lOKPF_name,LOKPF.code as lOKPF_code,LPU.FSS as lFSS, LPU.infisCode as lINFISCODE,
LOKFS.name as lOKFS_name,LOKFS.code as lOKFS_code,LPU.OKVED,rbOKVED.name as OKVED_Name,     
LPU.chief,LPU.accountant,LPU.address as laddress,LPU.OKATO as lOKATO, LPU.phone as lphone,
 aLPU.name as lCHET,aLPU.bankName as lbName,
 aBANK.BIK as lBIK, aBANK.name as lBANK, aBANK.corrAccount as lKCHET,
 aBANK.branchName as lFBANK,
PAY.address as paddress,
aPAY.name as pCHET, aPAY.bankName as pbName,
pBANK.BIK as pBIK, pBANK.name as pBANK, pBANK.corrAccount as pKCHET,
pBANK.branchName as pFBANK,
PAY.fullName as pName,PAY.inn as pINN,PAY.kpp as pKPP,PAY.ogrn as pOGRN,PAY.OKPO as pOKPO,
PAY.FSS as pFSS,
POKPF.name as pOKPF_name,POKPF.code as pOKPF_code,
POKFS.name as pOKFS_name,POKFS.code as pOKFS_code
FROM
    Account
    LEFT JOIN Contract ON Contract.id=Account.Contract_id     
    LEFT JOIN Organisation AS LPU ON 
         LPU.id = Contract.recipient_id 
    LEFT JOIN Organisation_Account AS aLPU ON
         aLPU.id = Contract.recipientAccount_id
    LEFT JOIN Bank AS aBANK ON
         aBANK.id = aLPU.bank_id
    LEFT JOIN rbOKPF AS LOKPF ON LOKPF.id=LPU.OKPF_id 
    LEFT JOIN rbOKFS AS LOKFS ON LOKFS.id=LPU.OKFS_id 
    LEFT JOIN rbOKVED ON rbOKVED.code=LPU.OKVED 
    LEFT JOIN Organisation AS PAY ON 
         PAY.id = Account.payer_id 
    LEFT JOIN Organisation_Account AS aPAY ON
         aPAY.id = Contract.payerAccount_id
    LEFT JOIN Bank AS pBANK ON
         pBANK.id = aPAY.bank_id
    LEFT JOIN rbOKPF AS POKPF ON POKPF.id=PAY.OKPF_id 
    LEFT JOIN rbOKFS AS POKFS ON POKFS.id=PAY.OKFS_id 
WHERE
    Account.id=:account_id
;